Subject: bug#32722: [O] bug#32722: bug#32722: 26.1; Org-publish depend on non-free platform ?

From: Nicolas Goaziou <[email-masked]>
Date: Thu, 20 Sep 2018 21:17:51 +0200

Hello,

Eli Zaretskii <[email-masked]> writes:

> I think we could do better by using htmlfontify.el.  I asked a few
> questions about that in this discussion, see
>
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32722#95
>
> Would the Org developers please reply to those questions?  If indeed
> it is not hard to adapt htmlfontify to be used by Org, then I think
> it's a better solution.

I cannot evaluate the difficulty to adapt "ox-html.el" to htmlfontify.
I know nothing about either this specific part of the code base or
htmlize and I do not use it either.

However, I see that "ox-odt.el" already uses htmlfontify, so it might be
possible to use a similar mechanism.

I assume this is the only way out of this, so I'll have a look at it.
But I need time. What would help would be some feedback from users
actually tweaking `org-html-htmlize-output-type'. What do they expect
from the various values, etc.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738